from zlib import crc32
from random import choice, randrange
from string import lowercase

def rndtext(n):
	result = "%06d:" % n
	l = randrange(10,20)
	for n in range(l):
		result += choice(lowercase)
	return result

def main(outfile):

	outfile.write('<?xml version="1.0" encoding="ISO-8859-1" standalone="yes" ?>\n')
	outfile.write("<outer>\n")
	for i in range(10000):
		myText = rndtext(i)
		outfile.write("   <inner>" + myText + "</inner>\n")
		outfile.write("   <crc>%d</crc>\n" % (crc32(myText),))
	outfile.write("</outer>\n")

if __name__ == "__main__":
	main(file("testOut.xml","w"))
